"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const boardList = require('./boards.json');
const content = fs_1.default.readFileSync('./list.txt').toString();
const pathList = content.split('\n');
const content2 = fs_1.default.readFileSync('./group').toString();
const annBoardList = content2.split('\n');
const annBoards = {};
annBoardList.forEach(line => {
    if (!line) {
        return;
    }
    const [ann, board] = line.split(/\s+/);
    // 2[影音]      贴图
    // 1[大话西游] TODO_List
    let prefix = '';
    switch (ann) {
        case 'AxFaction':
            //   @EGroups     10, 25, 0, "0BBS",      "0) 斧 头 帮 -- [黑帮/系统]"
            prefix = '0[斧 头 帮]';
            break;
        case 'Culture':
            prefix = '5[吟风弄月]';
            break;
        case 'DouFuGirl':
            // @EGroups     0, 0, 0,   "7Science",  "7) 豆腐西施 -- [信息/商业]"
            prefix = '7[豆腐西施]';
            break;
        case 'Entertain':
            // @EGroups     0, 0, 0,   "3Computer", "3) 吃喝玩乐 -- [生活/享受]"
            prefix = '3[吃喝玩乐]';
            break;
        case 'Factions':
            // @EGroups     0, 0, 0,   "2Class",   "2) 大小分舵 -- [地盘/校班]"
            prefix = '2[大小分舵]';
            break;
        case 'GoWest':
            // @EGroups     0, 0, 0,   "6Society",  "6) 西游之路 -- [出国/取经]"
            prefix = '6[西游之路]';
            break;
        case 'PandoraBox':
            // @EGroups     0, 0, 0,   "8City",     "8) 东成西就 -- [乡情/城市]"
            prefix = '8[东成西就]';
            break;
        case 'Poem':
            // @EGroups     0, 0, 0,   "5Art",      "5) 吟风弄月 -- [感性/文化]"
            prefix = '5[吟风弄月]';
            break;
        case 'Reserve':
            // @EGroups     0, 0, 0,   "9Talk",     "9) 大圣取经 -- [专业/申请]"
            prefix = '9[大圣取经]';
            break;
        case 'Watering':
            // @EGroups     0, 0, 0,   "4Rec",      "4) 游戏人生 -- [游戏/娱乐]"
            prefix = '4[游戏人生]';
            break;
        case 'zixia':
            // @EGroups     0, 0, 0,   "1THU",      "1) 大话西游 -- [科学/技术]"
            prefix = '1[大话西游]';
            break;
        default:
            console.info('unknown line:', line);
            throw new Error('faint');
    }
    annBoards[board] = prefix;
});
const newBoards = {};
boardList.forEach((board) => { newBoards[board.path] = {}; });
pathList.forEach(p => { newBoards[p] = { path: p }; });
boardList.forEach((board) => {
    console.info('board: ', board);
    const b = newBoards[board.path];
    const prefix = annBoards[board.path];
    if (!prefix) {
        throw new Error(board.path);
    }
    b.name = prefix + ' ' + board.name.replace(/^.*\//, '');
    b.path = board.path;
    if (!board.bm) {
        b.bm = ['SYSOPS'];
    }
    else {
        b.bm = board.bm.split(/\s+/);
    }
});
// console.info(boardList, pathList)
console.info(JSON.stringify(newBoards));
//# sourceMappingURL=t.js.map